<?php

###########################
#Скрипт: Keo v1#
#Автор: GulievMMA#
#Версия: v1#
#Страна: Азербайджан#
#Город: Сумгайыт#
#Спорт: ММА#
#Сайт: KeoTop.Ru#
#Сайт: H9M.Ru#
#Телеграм: @AnarQuliyevMMA#
#E-mail: guliev.mma@gmail.com  #
#WhatsApp: +994 (77) 768-39-39#
#WhatsApp: +994 (55) 968-78-69#
############################
#Скрипт Принадлежит Мне , Продавать и Распростронять Нельзя (!)#
############################

header("Expires: on, 01 Jan 1970 00:00:00 GMT");
header("Last-Modified: " . gmdate("D, d M Y H:i:s") . " GMT");
header("Cache-Control: no-store, no-cache, must-revalidate");
header("Cache-Control: post-check=0, pre-check=0", false);
header("Pragma: no-cache");
define('NTOP', 1);
require_once ('system/connect.php');
require_once ('system/core.php');
require_once ('system/function.php');
error_reporting(0);
header("Content-type: image/png");
//header("Expires: on, 01 Jan 1970 00:00:00 GMT");
//header("Last-Modified: " . gmdate("D, d M Y H:i:s") . " GMT");
//header("Cache-Control: no-store, no-cache, must-revalidate");
//header("Cache-Control: post-check=0, pre-check=0", false);
//header("Pragma: no-cache");
//if (!$ip) $ip = $_SERVER['REMOTE_ADDR'];

$sait_t = mysqli_query($mysqli,"SELECT * FROM `".$prefix."sait` WHERE `status` = '1' AND `id` = '".$id."'");
if(mysqli_num_rows($sait_t) > 0)
	{
		$sait = mysqli_fetch_array($sait_t);
		$img = 'images/mini/'.$sait['imagesm'].'.png';
		$image = imagecreatefrompng($img);
		$type_img = mysqli_fetch_array(mysqli_query($mysqli,"SELECT * FROM `".$prefix."images` WHERE `name` = '".$sait['imagesm']."'"));
		$old_day = mktime(0, 0, 0, date('m'), date('d'), date('Y'));
		$operator_id = mysqli_query($mysqli,"SELECT `id_c` FROM `".$prefix."ip` WHERE INET_ATON('".$ip."') BETWEEN `start` AND `finish`");
		if(mysqli_num_rows($operator_id) > 0)
			{
				$arr = mysqli_fetch_array($operator_id);
				$operator = $arr['id_c'];
			}
		else
			{
				$operator = 1000;
			}
		$isset = mysqli_query($mysqli,"SELECT * FROM `".$prefix."hosts` WHERE `id_sait` = '".$id."' AND `ip` = '".$ip."' AND `time` > '".$old_day."'");
		if (mysqli_num_rows($isset) == 0)
			{
				mysqli_query($mysqli,"INSERT INTO `".$prefix."hosts` SET
                `time` = '".time()."',
                `id_sait` = '".$id."',
                `ip` = '".$ip."',
                `browser` = '".browser()."',
                `operator` = '".$operator."'");
				mysqli_query($mysqli,"UPDATE `".$prefix."sait` SET `hosts` = (`hosts` + 1), `all_hosts` = (`all_hosts` + 1) WHERE `id` = '".$id."'");


         mysqli_query($mysqli,"INSERT INTO `".$prefix."hits` SET
                `time` = '".time()."',
                `id_sait` = '".$id."',
                `ip` = '".$ip."',
                `browser` = '".browser()."',
                `operator` = '".$operator."'");
         mysqli_query($mysqli,"UPDATE `".$prefix."sait` SET `hits` = (`hits` + 1), `all_hits` = (`all_hits` + 1) WHERE `id` = '".$id."'");
 if (isset($_GET['ref'])) {
$http_referer = 'Не определено';
  $http_site = 'Не определено';

$http_referer = isset($_GET['ref']) ? $_GET['ref'] : $http_referer;

            $http_sites = parse_url($_GET['ref']);
             $http_site = isset($http_sites['host']) ? $http_sites['host'] : $http_site;
        if ($http_sites['host'] !== $sait['url']) {
        mysqli_query("INSERT INTO `counter` SET `date` = '" . time() .
            "', `ref` = '" . $http_referer . "', `site` = '" . $http_site . "', `id_site` = '" . $id .
            "';");

}
}
			}
		else 
			{
				mysqli_query($mysqli,"INSERT INTO `".$prefix."hits` SET
                `time` = '".time()."',
                `id_sait` = '".$id."',
                `ip` = '".$ip."',
                `browser` = '".browser()."',
                `operator` = '".$operator."'");
				mysqli_query($mysqli,"UPDATE `".$prefix."sait` SET `hits` = (`hits` + 1), `all_hits` = (`all_hits` + 1) WHERE `id` = '".$id."'");
			}
		if (mysqli_num_rows(mysqli_query($mysqli,"SELECT * FROM `".$prefix."sait_online` WHERE `ip` = '".$ip."' AND `ua` = '".$ua."' AND `time` > '".(time()-180)."' AND `id_sait` = '".$id."'")) == 1)
			{
				mysqli_query($mysqli,"UPDATE `".$prefix."sait_online` SET `time` = '".time()."' WHERE `ip` = '".$ip."' AND `ua` = '".$ua."' AND `id_sait` = '".$id."' LIMIT 1");
			}
		else
			{
				mysqli_query($mysqli,"DELETE FROM `".$prefix."sait_online` WHERE `time` < '".(time()-180)."' AND `id_sait` = '".$id."'");
				mysqli_query($mysqli,"INSERT INTO `".$prefix."sait_online` (`id_sait`,`ip`, `ua`, `time`) values('".$id."','".$ip."', '".$ua."', ".time().")");
			}
		
	}
else
	{
		$img = 'images/mini/default.png';
		$image = imagecreatefrompng($img);
	}
imagepng($image);
imageDestroy($image);
?>